TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.CMLedgerSubjectInfo Class Reference

This class represents an outbound subject entry in a TIBCO Rendezvous Certified Messaging ledger file. More...

## Public Member Functions
override string | ToString ()
| Returns a String that represents the current Object More...

## Properties
string | Subject`[get]`
| Returns the name of the subject that this object summarizes. More...
long | LastSent`[get]`
| Returns the sequence number of the most recent message sent with this subject name. More...
int | TotalMsgs`[get]`
| Returns the total number of messages stored on this subject. More...
int | TotalSize`[get]`
| Returns the total storage (in bytes) occupied by all messages with this subject name. More...
CMLedgerListenerInfo[] | Listeners`[get]`
| Returns an array of CMLedgerListenerInfo objects, one for each registered listener. More...

## Detailed Description

This class represents an outbound subject entry in a TIBCO Rendezvous Certified Messaging ledger file.

## Member Function Documentation

override string TIBCO.EMS.ADMIN.CMLedgerSubjectInfo.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object

## Property Documentation

long TIBCO.EMS.ADMIN.CMLedgerSubjectInfo.LastSent
| get

Returns the sequence number of the most recent message sent with this subject name.

Returns
  the sequence number of the most recent message sent with this subject name.

CMLedgerListenerInfo [] TIBCO.EMS.ADMIN.CMLedgerSubjectInfo.Listeners
| get

Returns an array of CMLedgerListenerInfo objects, one for each registered listener.

Returns
  an array of CMLedgerListenerInfo objects, one for each registered listener.

string TIBCO.EMS.ADMIN.CMLedgerSubjectInfo.Subject
| get

Returns the name of the subject that this object summarizes.

Returns
  the name of the subject that this object summarizes.

int TIBCO.EMS.ADMIN.CMLedgerSubjectInfo.TotalMsgs
| get

Returns the total number of messages stored on this subject.

Returns
  the total number of messages stored on this subject.

int TIBCO.EMS.ADMIN.CMLedgerSubjectInfo.TotalSize
| get

Returns the total storage (in bytes) occupied by all messages with this subject name.

If the ledger contains several messages with this subject name, then this field sums the storage space over all of them.

Returns
  the total storage (in bytes) occupied by all messages with this subject name.